import { createRouter, createWebHashHistory } from "vue-router";

const routes = [
  {
    path: "/",
    name: "Program",
    component: () => import("../views/Program.vue"),
  },
  {
    path: "/Channel",
    name: "Channel",
    component: () => import("../views/Channel.vue"),
  },
  {
    path: "/heightlight",
    name: "Heightlight",
    component: () => import("../views/Heightlight.vue"),
  },
  {
    path: "/realData",
    name: "RealData",
    component: () => import("../views/RealData.vue"),
  },
  {
    path: "/liveChannel",
    name: "LiveChannel",
    component: () => import("../views/LiveChannel.vue"),
  },
  {
    path: "/boutiqueColumn",
    name: "boutiqueColumn",
    component: () => import("../views/BoutiqueColumn/BoutiqueColumn.vue"),
  },
  {
    path: "/activity",
    name: "Activity",
    component: () => import("../views/Activity/Activity.vue"),
  },
  {
    path: "/radio",
    name: "Radio",
    component: () => import("../views/Radio/Radio.vue"),
  },
  {
    path: "/country",
    component: () => import("../views/Country/Index.vue"),
    children: [
        {
            path: "", // 频道全天节目
            component: ()=> import("../views/ChannelEPG/Channel.vue")
        },
        {
            path: "/country/custom", // 自定义时间段排行
            component: ()=> import("../views/customRanking/customRanking.vue")
        },
        {
            path: "/country/channelList", // 多维度筛选 频道时段排名
            component: ()=> import("../views/ChannelList/ChannelList.vue")
        },
        {
            path: "/country/singleDay", // 单天频道点分钟
            component: ()=> import("../views/SingleDay/SingleDay.vue")
        },
        {
            path: "/country/singleDay", // 平均频道点分钟
            component: ()=> import("../views/SingleDay/SingleDay.vue")
        },
        {
            path: "/country/scheduling", // 电视剧排播信息及表现（全国）
            component: ()=> import("../views/Scheduling/Scheduling.vue")
        },
    ],
  },
];

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes,
});

export default router;
